GFHOSTGROUP(1)

NAME
gfhostgroup - Gfarm hostgroup maintenance command

SYNOPSIS

gfhostgroup [-P path] [host [[host...]]]

gfhostgroup [-P path] -s host groupname

gfhostgroup [-P path] -r host [[host...]]

DESCRIPTION

gfhostgroup manages Gfarm host groups (so called filesystem node group or fsngroup for short) in Gfarm file system. The host group is used by the Replication-Attribute-based File Replication.

Default action displays all registered host groups. Any user can display the host groups. Gfarm administrators can set the host group of specified hosts by using -s option, and the one also can remove the host group of specified hosts by using -r option.

OPTIONS

-P path
    This option specifies a pathname or a Gfarm URL to identify a metadata server which will be accessed by this command. If not specified, "/" is used as the default value.

-s
    Sets a host group for the specified host.

-r
    Removes a host group for the specified host(s).

SEE ALSO

gfncopy(1)